From 05f71fcfcd55cf76062af4b0ed099fff46408fa8 Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Sat, 11 Aug 2012 08:37:52 -0500
Subject: [PATCH] Cleaned up REST common class names.

The REST common classes have been renamed for better clarity
and consistency.

Ticket #259
---
 .../com/netscape/cms/servlet/test/CAClient.java    |  28 ++--
 .../src/com/netscape/cms/servlet/test/CATest.java  |  42 ++---
 .../ca/CertificateAuthorityApplication.java        |   4 +-
 .../cms/servlet/test/ConfigurationTest.java        | 162 +++++++++---------
 .../src/com/netscape/cms/client/cert/CertCLI.java  |   4 +-
 .../com/netscape/cms/client/cert/CertClient.java   |  18 +-
 .../com/netscape/cms/client/cert/CertFindCLI.java  |  14 +-
 .../com/netscape/cms/client/cert/CertHoldCLI.java  |   6 +-
 .../cms/client/cert/CertReleaseHoldCLI.java        |   6 +-
 .../cms/client/cert/CertRequestApproveCLI.java     |  12 +-
 .../cms/client/cert/CertRequestReviewCLI.java      |  10 +-
 .../cms/client/cert/CertRequestSubmitCLI.java      |  12 +-
 .../netscape/cms/client/cert/CertRevokeCLI.java    |   6 +-
 .../com/netscape/cms/client/cert/CertShowCLI.java  |   4 +-
 .../cms/servlet/admin/GroupMemberService.java      |  36 ++--
 .../netscape/cms/servlet/admin/GroupService.java   |  34 ++--
 .../cms/servlet/admin/SystemCertService.java       |   4 +-
 .../servlet/admin/SystemCertificateResource.java   |   4 +-
 .../cms/servlet/admin/UserCertService.java         |  56 +++----
 .../netscape/cms/servlet/admin/UserService.java    |  50 +++---
 .../cms/servlet/base/BadRequestException.java      |   2 +-
 .../base/{CMSException.java => PKIException.java}  |  26 +--
 .../com/netscape/cms/servlet/base/PKIService.java  |   6 +-
 .../cms/servlet/base/UnauthorizedException.java    |   2 +-
 .../cms/servlet/cert/CertNotFoundException.java    |   4 +-
 .../netscape/cms/servlet/cert/CertProcessor.java   |   6 +-
 .../netscape/cms/servlet/cert/CertResource.java    |   8 +-
 .../com/netscape/cms/servlet/cert/CertService.java |  50 +++---
 .../com/netscape/cms/servlet/cert/DoRevoke.java    |   4 +-
 .../com/netscape/cms/servlet/cert/DoUnrevoke.java  |   4 +-
 .../cms/servlet/cert/EnrollmentProcessor.java      |   8 +-
 .../cms/servlet/cert/RenewalProcessor.java         |   6 +-
 .../cms/servlet/cert/RequestProcessor.java         |  14 +-
 .../model/{CertificateData.java => CertData.java}  |  18 +-
 ...{CertSearchData.java => CertSearchRequest.java} |  14 +-
 .../cms/servlet/csadmin/PKIErrorInterceptor.java   |   8 +-
 .../cms/servlet/csadmin/SystemConfigClient.java    |  10 +-
 ...tionResource.java => SystemConfigResource.java} |  10 +-
 .../cms/servlet/csadmin/SystemConfigService.java   | 186 ++++++++++-----------
 ...gurationData.java => ConfigurationRequest.java} |  14 +-
 ...esponseData.java => ConfigurationResponse.java} |  39 ++---
 .../model/{CertData.java => SystemCertData.java}   |  44 ++---
 .../com/netscape/cms/servlet/key/KeyResource.java  |   4 +-
 .../com/netscape/cms/servlet/key/KeyService.java   |  10 +-
 .../servlet/profile/ProfileNotFoundException.java  |   4 +-
 .../cms/servlet/profile/ProfileProcessServlet.java |   4 +-
 .../cms/servlet/request/CertRequestResource.java   |  22 +--
 .../cms/servlet/request/CertRequestService.java    |  58 +++----
 .../cms/servlet/request/KeyRequestResource.java    |   8 +-
 .../cms/servlet/request/KeyRequestService.java     |  16 +-
 .../servlet/request/RequestNotFoundException.java  |   4 +-
 ...RequestData.java => CertEnrollmentRequest.java} |  12 +-
 .../model/CertEnrollmentRequestFactory.java        |   4 +-
 .../cms/servlet/request/model/CertRequestDAO.java  |  10 +-
 ...lRequestData.java => CertRetrievalRequest.java} |   6 +-
 ...entRequestData.java => CertReviewResponse.java} |   4 +-
 .../request/model/CertReviewResponseFactory.java   |   8 +-
 ...valRequestData.java => KeyArchivalRequest.java} |  10 +-
 ...eryRequestData.java => KeyRecoveryRequest.java} |  10 +-
 .../cms/servlet/request/model/KeyRequestDAO.java   |   4 +-
 ...questData.java => ProfileRetrievalRequest.java} |   6 +-
 base/deploy/src/scriptlets/pkijython.py            |  34 ++--
 .../com/netscape/cms/servlet/test/DRMClient.java   |  16 +-
 .../kra/KeyRecoveryAuthorityApplication.java       |   4 +-
 .../src/com/netscape/ocsp/OCSPApplication.java     |   4 +-
 base/tks/src/com/netscape/tks/TKSApplication.java  |   4 +-
 66 files changed, 631 insertions(+), 630 deletions(-)
 rename base/common/src/com/netscape/cms/servlet/base/{CMSException.java => PKIException.java} (87%)
 rename base/common/src/com/netscape/cms/servlet/cert/model/{CertificateData.java => CertData.java} (93%)
 rename base/common/src/com/netscape/cms/servlet/cert/model/{CertSearchData.java => CertSearchRequest.java} (98%)
 rename base/common/src/com/netscape/cms/servlet/csadmin/{SystemConfigurationResource.java => SystemConfigResource.java} (88%)
 rename base/common/src/com/netscape/cms/servlet/csadmin/model/{ConfigurationData.java => ConfigurationRequest.java} (97%)
 rename base/common/src/com/netscape/cms/servlet/csadmin/model/{ConfigurationResponseData.java => ConfigurationResponse.java} (81%)
 rename base/common/src/com/netscape/cms/servlet/csadmin/model/{CertData.java => SystemCertData.java} (95%)
 rename base/common/src/com/netscape/cms/servlet/request/model/{EnrollmentRequestData.java => CertEnrollmentRequest.java} (96%)
 rename base/common/src/com/netscape/cms/servlet/request/model/{CertRetrievalRequestData.java => CertRetrievalRequest.java} (93%)
 rename base/common/src/com/netscape/cms/servlet/request/model/{AgentEnrollmentRequestData.java => CertReviewResponse.java} (97%)
 rename base/common/src/com/netscape/cms/servlet/request/model/{ArchivalRequestData.java => KeyArchivalRequest.java} (94%)
 rename base/common/src/com/netscape/cms/servlet/request/model/{RecoveryRequestData.java => KeyRecoveryRequest.java} (95%)
 rename base/common/src/com/netscape/cms/servlet/request/model/{ProfileRetrievalRequestData.java => ProfileRetrievalRequest.java} (91%)

diff --git a/base/ca/functional/src/com/netscape/cms/servlet/test/CAClient.java b/base/ca/functional/src/com/netscape/cms/servlet/test/CAClient.java
index cc6aa19d5c8076b4d194680d5a29827792a57c9e..24c53b13726f4cc3503af7dfc7d307c7a84a425d 100644
--- a/base/ca/functional/src/com/netscape/cms/servlet/test/CAClient.java
+++ b/base/ca/functional/src/com/netscape/cms/servlet/test/CAClient.java
@@ -25,17 +25,17 @@ import com.netscape.certsrv.request.RequestId;
 import com.netscape.cms.client.cli.ClientConfig;
 import com.netscape.cms.servlet.cert.CertResource;
 import com.netscape.cms.servlet.cert.model.CertDataInfos;
-import com.netscape.cms.servlet.cert.model.CertSearchData;
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertSearchRequest;
+import com.netscape.cms.servlet.cert.model.CertData;
 import com.netscape.cms.servlet.csadmin.PKIClient;
 import com.netscape.cms.servlet.profile.ProfileResource;
 import com.netscape.cms.servlet.profile.model.ProfileData;
 import com.netscape.cms.servlet.profile.model.ProfileDataInfos;
 import com.netscape.cms.servlet.request.CertRequestResource;
-import com.netscape.cms.servlet.request.model.AgentEnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertReviewResponse;
 import com.netscape.cms.servlet.request.model.CertRequestInfo;
 import com.netscape.cms.servlet.request.model.CertRequestInfos;
-import com.netscape.cms.servlet.request.model.EnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 
 public class CAClient extends PKIClient {
 
@@ -65,7 +65,7 @@ public class CAClient extends PKIClient {
         return certClient.listCerts(status, 100, 10);
     }
 
-    public CertDataInfos searchCerts(CertSearchData data) {
+    public CertDataInfos searchCerts(CertSearchRequest data) {
         return certClient.searchCerts(data, 100, 10);
     }
 
@@ -82,7 +82,7 @@ public class CAClient extends PKIClient {
         return profileClient.retrieveProfile(id);
     }
 
-    public CertificateData getCertData(CertId id) {
+    public CertData getCertData(CertId id) {
 
         if (id == null) {
             return null;
@@ -92,7 +92,7 @@ public class CAClient extends PKIClient {
 
     }
 
-    public CertRequestInfos enrollCertificate(EnrollmentRequestData data) {
+    public CertRequestInfos enrollCertificate(CertEnrollmentRequest data) {
         if (data == null) {
             return null;
         }
@@ -107,34 +107,34 @@ public class CAClient extends PKIClient {
         return certRequestClient.getRequestInfo(id);
     }
 
-    public AgentEnrollmentRequestData reviewRequest(RequestId id) {
+    public CertReviewResponse reviewRequest(RequestId id) {
         if (id == null) {
             return null;
         }
         return certRequestClient.reviewRequest(id);
     }
 
-    public void approveRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void approveRequest(RequestId id, CertReviewResponse data) {
         certRequestClient.approveRequest(id, data);
     }
 
-    public void rejectRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void rejectRequest(RequestId id, CertReviewResponse data) {
         certRequestClient.rejectRequest(id, data);
     }
 
-    public void cancelRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void cancelRequest(RequestId id, CertReviewResponse data) {
         certRequestClient.cancelRequest(id, data);
     }
 
-    public void updateRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void updateRequest(RequestId id, CertReviewResponse data) {
         certRequestClient.updateRequest(id, data);
     }
 
-    public void validateRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void validateRequest(RequestId id, CertReviewResponse data) {
         certRequestClient.validateRequest(id, data);
     }
 
-    public void unassignRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void unassignRequest(RequestId id, CertReviewResponse data) {
         certRequestClient.unassignRequest(id, data);
     }
 
diff --git a/base/ca/functional/src/com/netscape/cms/servlet/test/CATest.java b/base/ca/functional/src/com/netscape/cms/servlet/test/CATest.java
index 185f01f2459c67daffa90fee7f0d7d69fb124891..8e67f5d5f74827bb27c2debd61d11082b87d9c1b 100644
--- a/base/ca/functional/src/com/netscape/cms/servlet/test/CATest.java
+++ b/base/ca/functional/src/com/netscape/cms/servlet/test/CATest.java
@@ -39,17 +39,17 @@ import com.netscape.cms.client.cli.ClientConfig;
 import com.netscape.cms.servlet.cert.CertNotFoundException;
 import com.netscape.cms.servlet.cert.model.CertDataInfo;
 import com.netscape.cms.servlet.cert.model.CertDataInfos;
-import com.netscape.cms.servlet.cert.model.CertSearchData;
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertSearchRequest;
+import com.netscape.cms.servlet.cert.model.CertData;
 import com.netscape.cms.servlet.profile.model.ProfileData;
 import com.netscape.cms.servlet.profile.model.ProfileDataInfo;
 import com.netscape.cms.servlet.profile.model.ProfileDataInfos;
 import com.netscape.cms.servlet.profile.model.ProfileInput;
 import com.netscape.cms.servlet.request.RequestNotFoundException;
-import com.netscape.cms.servlet.request.model.AgentEnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertReviewResponse;
 import com.netscape.cms.servlet.request.model.CertRequestInfo;
 import com.netscape.cms.servlet.request.model.CertRequestInfos;
-import com.netscape.cms.servlet.request.model.EnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 
 public class CATest {
 
@@ -172,7 +172,7 @@ public class CATest {
         //Get a CertInfo
         int certIdToPrint = 1;
         CertId id = new CertId(certIdToPrint);
-        CertificateData certData = null;
+        CertData certData = null;
         try {
             certData = client.getCertData(id);
         } catch (CertNotFoundException e) {
@@ -186,7 +186,7 @@ public class CATest {
         //Get a CertInfo
         int certIdBadToPrint = 9999999;
         CertId certIdBad = new CertId(certIdBadToPrint);
-        CertificateData certDataBad = null;
+        CertData certDataBad = null;
         try {
             certDataBad = client.getCertData(certIdBad);
         } catch (CertNotFoundException e) {
@@ -209,15 +209,15 @@ public class CATest {
 
         //Initiate a Certificate Enrollment
 
-        EnrollmentRequestData data = createUserCertEnrollment();
+        CertEnrollmentRequest data = createUserCertEnrollment();
         enrollAndApproveCertRequest(client, data);
 
         // submit a RA authenticated user cert request
-        EnrollmentRequestData rdata = createRAUserCertEnrollment();
+        CertEnrollmentRequest rdata = createRAUserCertEnrollment();
         enrollCertRequest(client, rdata);
 
         // now try a manually approved server cert
-        EnrollmentRequestData serverData = createServerCertEnrollment();
+        CertEnrollmentRequest serverData = createServerCertEnrollment();
         enrollAndApproveCertRequest(client,serverData);
 
         // submit using an agent approval profile
@@ -226,7 +226,7 @@ public class CATest {
 
         //Perform a sample certificate search with advanced search terms
 
-        CertSearchData searchData = new CertSearchData();
+        CertSearchRequest searchData = new CertSearchRequest();
         searchData.setSerialNumberRangeInUse(true);
         searchData.setSerialFrom("9999");
         searchData.setSerialTo("99990");
@@ -252,7 +252,7 @@ public class CATest {
 
         //Perform another sample certificate search with advanced search terms
 
-        searchData = new CertSearchData();
+        searchData = new CertSearchRequest();
         searchData.setSubjectInUse(true);
         searchData.setEmail("jmagne@redhat.com");
         searchData.setMatchExactly(true);
@@ -275,7 +275,7 @@ public class CATest {
 
     }
 
-    private static void enrollAndApproveCertRequest(CAClient client, EnrollmentRequestData data) {
+    private static void enrollAndApproveCertRequest(CAClient client, CertEnrollmentRequest data) {
         CertRequestInfos reqInfo = null;
         try {
             reqInfo = client.enrollCertificate(data);
@@ -287,7 +287,7 @@ public class CATest {
         for (CertRequestInfo info : reqInfo.getRequests()) {
             printRequestInfo(info);
 
-            AgentEnrollmentRequestData reviewData = client.reviewRequest(info.getRequestId());
+            CertReviewResponse reviewData = client.reviewRequest(info.getRequestId());
             log(reviewData.toString());
 
             reviewData.setRequestNotes("This is an approval message");
@@ -295,7 +295,7 @@ public class CATest {
         }
     }
 
-    private static void enrollCertRequest(CAClient client, EnrollmentRequestData data) {
+    private static void enrollCertRequest(CAClient client, CertEnrollmentRequest data) {
         CertRequestInfos reqInfo = null;
         try {
             reqInfo = client.enrollCertificate(data);
@@ -309,8 +309,8 @@ public class CATest {
         }
     }
 
-    private static EnrollmentRequestData createUserCertEnrollment() {
-        EnrollmentRequestData data = new EnrollmentRequestData();
+    private static CertEnrollmentRequest createUserCertEnrollment() {
+        CertEnrollmentRequest data = new CertEnrollmentRequest();
         data.setProfileId("caUserCert");
         data.setIsRenewal(false);
 
@@ -340,8 +340,8 @@ public class CATest {
         return data;
     }
 
-    private static EnrollmentRequestData createRAUserCertEnrollment() {
-        EnrollmentRequestData data = new EnrollmentRequestData();
+    private static CertEnrollmentRequest createRAUserCertEnrollment() {
+        CertEnrollmentRequest data = new CertEnrollmentRequest();
         data.setProfileId("caDualRAuserCert");
         data.setIsRenewal(false);
 
@@ -365,8 +365,8 @@ public class CATest {
         return data;
     }
 
-    private static EnrollmentRequestData createServerCertEnrollment() {
-        EnrollmentRequestData data = new EnrollmentRequestData();
+    private static CertEnrollmentRequest createServerCertEnrollment() {
+        CertEnrollmentRequest data = new CertEnrollmentRequest();
         data.setProfileId("caServerCert");
         data.setIsRenewal(false);
 
@@ -505,7 +505,7 @@ public class CATest {
 
     }
 
-    private static void printCertificate(CertificateData info) {
+    private static void printCertificate(CertData info) {
 
         if (info == null) {
             log("No CertificateData: ");
diff --git a/base/ca/src/com/netscape/ca/CertificateAuthorityApplication.java b/base/ca/src/com/netscape/ca/CertificateAuthorityApplication.java
index fe08e299b84900b2b86f3c5e73b045baaf709957..6a426bd09e3ced68529095181fdcb9c027d111d4 100644
--- a/base/ca/src/com/netscape/ca/CertificateAuthorityApplication.java
+++ b/base/ca/src/com/netscape/ca/CertificateAuthorityApplication.java
@@ -10,7 +10,7 @@ import com.netscape.cms.servlet.admin.GroupService;
 import com.netscape.cms.servlet.admin.SystemCertService;
 import com.netscape.cms.servlet.admin.UserCertService;
 import com.netscape.cms.servlet.admin.UserService;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.cert.CertService;
 import com.netscape.cms.servlet.csadmin.SystemConfigService;
 import com.netscape.cms.servlet.profile.ProfileService;
@@ -41,7 +41,7 @@ public class CertificateAuthorityApplication extends Application {
         classes.add(SystemCertService.class);
 
         // exception mapper
-        classes.add(CMSException.Mapper.class);
+        classes.add(PKIException.Mapper.class);
     }
 
     public Set<Class<?>> getClasses() {
